javax.jnlp

## Interface SingleInstanceService

-     public interface SingleInstanceService

  `SingleInstanceService` allow applications launched under Java Web Start to register themselves as singletons, and to be passed in new parameter sets when user attempts to launch new instances of them.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSingleInstanceListener(SingleInstanceListener sil)` Adds the specified SingleInstanceListener to handle how the application/applet should behave when another instance of the same application/applet is invoked.
    `void` | `removeSingleInstanceListener(SingleInstanceListener sil)` Removes the specified SingleInstanceListener.

- - ### Method Detail

    - #### addSingleInstanceListener

          void addSingleInstanceListener(SingleInstanceListener sil)

      Adds the specified SingleInstanceListener to handle how the application/applet should behave when another instance of the same application/applet is invoked. If SingleInstanceListener sil is null, no exception is thrown and no action is performed.
      Parameters:
        `sil` - the SingleInstanceListener object to be added

    - #### removeSingleInstanceListener

          void removeSingleInstanceListener(SingleInstanceListener sil)

      Removes the specified SingleInstanceListener. This method performs no function, nor does it throw an exception, if the listener specified by the argument was not previously added to the application/applet. If listener sil is null, no exception is thrown and no action is performed. It is recommended that if an application/applet registered any SingleInstanceListener(s), it should call this method to remove all listeners upon exit of the application/applet.
      Parameters:
        `sil` - the SingleInstanceListener object to be removed

Copyright © 1998, 2016, Oracle and/or its affiliates. All rights reserved.